import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:ndialog/ndialog.dart';
import 'controls.dart';

class Dialogs {
  static void showErrorDialog(String message) {
    DialogBackground(
        blur: 5,
        dialog: AlertDialog(
          title: Text(message, style: const TextStyle(fontSize: 16)),
          actions: [
            SButton(
                child: const Text('关闭'), onPressed: () => closeCurrentDialog())
          ],
        )).show(Get.context!);
  }

  static void showConfirmDialog(String message, VoidCallback onConfirm) {
    DialogBackground(
        blur: 5,
        dialog: AlertDialog(
          title: Text(message, style: const TextStyle(fontSize: 16)),
          actions: [
            SButton(child: const Text('确定'), onPressed: onConfirm),
            SButton(
                child: const Text('关闭'), onPressed: () => closeCurrentDialog())
          ],
        )).show(Get.context!);
  }

  static void showChildDialog2(Widget content,
      {Widget? title, List<Widget>? actions, Function? onDismiss}) {
    DialogBackground(
      onDismiss: onDismiss,
      blur: 5,
      dialog: AlertDialog(
        title: title,
        content: content,
        contentPadding: const EdgeInsets.all(20),
        actions: actions,
      ),
    ).show(Get.context!);
  }

  static void closeCurrentDialog() {
    Get.close(1);
  }
}
