import 'package:get/get.dart';

import 'entities.dart';

class DepartmentViewModel {
  Department data;
  DepartmentViewModel? parent;

  RxBool isHovering = RxBool(false);
  late String name;

  DepartmentViewModel(this.data, this.parent) {
    name = data.name;
  }
}

class EmployeeViewModel {
  Employee data;
  RxBool isHovering = RxBool(false);

  late Rx<Department> department;
  late RxBool isReviewer;
  late RxBool isStruggle;

  EmployeeViewModel(this.data) {
    isReviewer = RxBool(data.isReviewer);
    isStruggle = RxBool(data.isStruggle);
  }
}

class StatisticsTableViewModel {
  StatisticsTable data;
  RxBool isHovering = RxBool(false);

  StatisticsTableViewModel(this.data);
}

class WorkingDayStatisticsViewModel {
  WorkingDayStatistics data;
  RxBool isHovering = RxBool(false);
  late RxBool adjusted;
  late RxString adjustDescription;
  late RxInt adjustedReachedCount;
  late RxBool isSelected;
  late RxString comment;
  late RxString reviewer;
  WorkingDayStatisticsViewModel(this.data) {
    adjusted = RxBool(data.adjusted);
    adjustedReachedCount = RxInt(data.adjustedReachedCount);
    adjustDescription = RxString(data.adjustDescription);
    isSelected = RxBool(false);
    comment = RxString(data.comment);
    reviewer = RxString(data.reviewer);
  }
}

class WorkingDayInfoViewModel {
  late RxBool adjusted;
  late RxString adjustDescription;
  late RxInt adjustedObtainedUnits;
  RxBool isHovering = RxBool(false);
  WorkingDayInfo data;

  WorkingDayInfoViewModel(this.data) {
    adjusted = RxBool(data.adjusted);
    adjustDescription = RxString(data.adjustDescription);
    adjustedObtainedUnits = RxInt(data.adjustedObtainedUnits);
  }
}
